on run {input, parameters}
	-- Ask the user for the output format
	set validFormats to {"txt", "srt", "vtt", "tsv", "json", "all"}
	set chosenFormat to ""
	
	repeat until chosenFormat is in validFormats
		set chosenFormat to text returned of (display dialog "Choose Output Format (txt, srt, vtt, tsv, json, all):" default answer "txt")
		if chosenFormat is not in validFormats then
			display alert "Invalid format. Please choose one of the following: txt, srt, vtt, tsv, json, all."
		end if
	end repeat
	
	-- Return the chosen format and the input files
	return {chosenFormat} & input
end run